Changeset a44ae577


Ignore:
Timestamp:
09/07/2021 09:01:23 PM (4 months ago)
Author:
Pierre Labastie <pierre.labastie@…>
Branches:
multilib, trunk
Children:
408fb78
Parents:
e7fb2ca
Message:

Remove spaces at end of lines - bootscripts

Location:
bootscripts
Files:
20 edited

Legend:

Unmodified
Added
Removed
  • bootscripts/ChangeLog

    re7fb2ca ra44ae577  
    77
    882021-04-28 Bruce Dubbs <bdubbs@linuxfromscratch.org>
    9    * Make check_signal more robust. 
     9   * Make check_signal more robust.
    1010   * Use a better methog for killproc to remove a dead pid file.
    1111   * Clarify what signals killproc accepts.
     
    8585   * Remove local attribue of some variables for Bourne
    8686     shell compatability
    87    * Specify /bin/echo in commands with -e switch for 
     87   * Specify /bin/echo in commands with -e switch for
    8888     Bourne shell compatability
    8989
     
    122122   ** Updated ifup.8 to reflect current usage
    123123   ** ifup
    124    *** Move interface up logic to after service scripts.  Eliminates the 
     124   *** Move interface up logic to after service scripts.  Eliminates the
    125125       need for the LINK_CHECK variable.
    126126   *** Sets the GATEWAY if the variable is set
     
    168168   * Create convenience symlink /etc/init.d->/etc/rc.d/init.d.
    169169   * Add help and man pages to upup/ifdown.
    170    * Append /run/var/bootlog to /var/log/boot.log at the end of 
     170   * Append /run/var/bootlog to /var/log/boot.log at the end of
    171171     the boot sequence.
    172172   * Add capabiltiy to step through the boot scripts at boot time
    173    * Optionally allow environment variables in sysconfig directory's 
     173   * Optionally allow environment variables in sysconfig directory's
    174174     console, network, and clock files to be placed in rc.site.
    175175   * Add an optional FASTBOOT parameter to set /fastboot when rebooting.
     
    184184   ** Add /etc/sysconfig/init_params for adding environmental parameters
    185185      to all functions used in bootscripts
    186    ** Move network configuration to /etc/sysconfig/ifconfig.*.  The 
    187       ifconfig files can have any extension.  Use IFACE parameter to 
     186   ** Move network configuration to /etc/sysconfig/ifconfig.*.  The
     187      ifconfig files can have any extension.  Use IFACE parameter to
    188188      specify the target network interface within the configuration file.
    189    ** Adds an optional parameter, SKIPTMPCLEAN, to skip the removal of 
    190       files in /tmp at bootup.  Specify the variable in 
     189   ** Adds an optional parameter, SKIPTMPCLEAN, to skip the removal of
     190      files in /tmp at bootup.  Specify the variable in
    191191      /etc/sysconfig/init_params.
    192192
     
    2242242009-01-02  Bruce Dubbs <bdubbs@linuxfromscratch.org>
    225225   * lfs/init.d/functions:
    226    * lfs/sysconfig/network-devices/ifup: 
    227      Updated line widths to accommodate pdf generation in both the above 
     226   * lfs/sysconfig/network-devices/ifup:
     227     Updated line widths to accommodate pdf generation in both the above
    228228     files.
    229229
     
    342342n/a - June 2, 2006
    343343   * Removed console config file and makefile targets.
    344    * Removed references to /dev/bug and bugreport in udevand
     344   * Removed references to /dev/bug and bugreport in udev and
    345345     udev_retry bootscripts. (DJ Lucas)
    346346
     
    351351
    352352n/a - April 15, 2006
    353    * Cleaned up contrib directory.  Removed: contrib/init.d, 
    354      contrib/enhanced, contrib/livecd, contrib/hotplug, and raq2 
     353   * Cleaned up contrib directory.  Removed: contrib/init.d,
     354     contrib/enhanced, contrib/livecd, contrib/hotplug, and raq2
    355355     patch. (DJ Lucas)
    356356
    357357n/a - April 14, 2006
    358358   * Merged changes from udev_update branch (DJ Lucas)
    359    * Replaced a return with an exit and reversed comment changes in 
     359   * Replaced a return with an exit and reversed comment changes in
    360360     udev bootscript. (Dan Nicholson)
    361361   * Replaced walk_sysfs function in udev bootscript with new udevtrigger
     
    370370
    371371n/a - March 10, 2006
    372    * Moved src argument to ipv4-static-route service script and 
     372   * Moved src argument to ipv4-static-route service script and
    373373     removed from ipv4-static service script. (DJ Lucas)
    374374
     
    389389   * Made above killproc/print_status changes in enhanced
    390390     bootscripts.
    391    * Made logger service configurable in enhanced 
     391   * Made logger service configurable in enhanced
    392392     bootscripts. (DJ Lucas)
    393393
    394394n/a - August 14, 2005
    395    * Added -s flag to pidofproc() for backwards 
     395   * Added -s flag to pidofproc() for backwards
    396396     compatibility (DJ Lucas)
    397    * Fixed erronous values returned by pidofproc() which 
     397   * Fixed erronous values returned by pidofproc() which
    398398     broke the functionality of statusproc (DJ Lucas)
    399399
     
    403403
    404404n/a - June 26, 2005
    405    * Removed consolelog script from contrib 
    406    * Updated interactive rc script in contrib and added 
     405   * Removed consolelog script from contrib
     406   * Updated interactive rc script in contrib and added
    407407     README.rc-Interactive, added install target to the
    408408     Makefile. (DJ Lucas)
     
    600600n/a - September 21, 2004
    601601   * boot_mesg has been enhanced.  Subsequent calls will overwrite
    602      previous text, and it will wrap text basedupon the variable ${WCOL}. 
     602     previous text, and it will wrap text basedupon the variable ${WCOL}.
    603603     (James Robertson)
    604604   * Fixed mtu optional service typo (Kevin P Fleming)
     
    609609
    610610n/a - September 15, 2004
    611    * Added blue bracket, from dj's 3.0-pre1 bootscript package 
     611   * Added blue bracket, from dj's 3.0-pre1 bootscript package
    612612     [echo_failure, echo_warning, and echo_ok]
    613613   * Added a new function called boot_mesg, meant to replace the echo
     
    633633
    634634n/a - August 4, 2004
    635    * Added MODE, DIRMODE, and CONFMODE variables to the makefile 
     635   * Added MODE, DIRMODE, and CONFMODE variables to the makefile
    636636     to allow permissions to be set at install. (DJ)
    637637
    638638n/a - July 31, 2004
    639    
    640639   * Moved PIDFILE check to getpids and removed arguments from
    641640     killproc and reloadproc.  Signals are now set at beginning of
     
    646645n/a - July 21, 2004
    647646
    648    * Committed DJ Lucas's patch for the killproc function.  It no 
     647   * Committed DJ Lucas's patch for the killproc function.  It no
    649648     longer requires arguments if PIDFILE is set
    650649   * added --backup to all sysconfig configuration files, so they are not
     
    979978   * Changed service script install targets to use
    980979     create-service-dir
    981    * Added check for dhcpcd service script for stale pid file 
     980   * Added check for dhcpcd service script for stale pid file
    982981     Suggested by Jeremy
    983982   * Added ifconfig to ipx service script for hosting device not up
  • bootscripts/Makefile

    re7fb2ca ra44ae577  
    3030        ln -sfn       rc.d/init.d ${ETCDIR}/init.d
    3131
    32 files: create-dirs 
     32files: create-dirs
    3333        install -m ${MODE} lfs/init.d/checkfs       ${ETCDIR}/rc.d/init.d/
    3434        install -m ${MODE} lfs/init.d/cleanfs       ${ETCDIR}/rc.d/init.d/
     
    127127        rm -rf ${DESTDIR}/lib/services ${DESTDIR}/lib/lsb ${ETCDIR}/rc.d ${ETCDIR}/init.d \
    128128          ${SBIN}/ifup ${SBIN}/ifdown ${MAN8}/ifup.8 ${MAN8}/ifdown.8 \
    129           ${ETCDIR}/sysconfig/rc 
     129          ${ETCDIR}/sysconfig/rc
    130130
    131131.PHONY: all create-dirs install files links rcS rc0 rc1 rc2 rc3 rc4 rc5 rc6 uninstall
  • bootscripts/README

    re7fb2ca ra44ae577  
    4949      - SKIPTMPCLEAN: skips cleaning of /tmp directory
    5050
    51       /etc/sysconfig/createfiles 
     51      /etc/sysconfig/createfiles
    5252         Each line is parsed, using space as a deliminator.
    5353         [NAME] [TYPE] [PERMISSIONS] [USER] [GROUP]
  • bootscripts/lfs/init.d/checkfs

    re7fb2ca ra44ae577  
    6262         log_failure_msg "${msg}"
    6363
    64          log_info_msg "Press Enter to continue..." 
     64         log_info_msg "Press Enter to continue..."
    6565         wait_for_user
    6666         /etc/rc.d/init.d/halt stop
     
    7070
    7171      if [ -f /forcefsck ]; then
    72          msg="/forcefsck found, forcing file" 
     72         msg="/forcefsck found, forcing file"
    7373         msg="${msg} system checks as requested."
    7474         log_success_msg "$msg"
     
    109109         log_failure_msg "$msg"
    110110
    111          log_info_msg "Press Enter to continue..." 
     111         log_info_msg "Press Enter to continue..."
    112112         wait_for_user
    113113         reboot -f
     
    126126         log_failure_msg "$msg"
    127127
    128          log_info_msg "Press Enter to continue..." 
     128         log_info_msg "Press Enter to continue..."
    129129         wait_for_user
    130130         /etc/rc.d/init.d/halt stop
  • bootscripts/lfs/init.d/cleanfs

    re7fb2ca ra44ae577  
    2323# Short-Description:   Cleans temporary directories early in the boot process.
    2424# Description:         Cleans temporary directories /run, /var/lock, and
    25 #                      optionally, /tmp.  cleanfs also creates /run/utmp 
     25#                      optionally, /tmp.  cleanfs also creates /run/utmp
    2626#                      and any files defined in /etc/sysconfig/createfiles.
    2727# X-LFS-Provided-By:   LFS
     
    3131
    3232# Function to create files/directory on boot.
    33 create_files() 
     33create_files()
    3434{
    3535   # Input to file descriptor 9 and output to stdin (redirection)
     
    6464                     mknod "${name}" p
    6565                     ;;
    66                   *) 
    67                      log_warning_msg "\nUnknown device type: ${dtype}" 
     66                  *)
     67                     log_warning_msg "\nUnknown device type: ${dtype}"
    6868                     ;;
    6969               esac
    7070               ;;
    7171            *)
    72                log_warning_msg "\nUnknown type: ${type}" 
     72               log_warning_msg "\nUnknown type: ${type}"
    7373               continue
    7474               ;;
     
    8888case "${1}" in
    8989   start)
    90       log_info_msg "Cleaning file systems:" 
     90      log_info_msg "Cleaning file systems:"
    9191
    9292      if [ "${SKIPTMPCLEAN}" = "" ]; then
    93          log_info_msg2 " /tmp" 
     93         log_info_msg2 " /tmp"
    9494         cd /tmp &&
    9595         find . -xdev -mindepth 1 ! -name lost+found -delete || failed=1
  • bootscripts/lfs/init.d/console

    re7fb2ca ra44ae577  
    3333[ -r /etc/sysconfig/console ] && . /etc/sysconfig/console
    3434
    35 is_true() 
     35is_true()
    3636{
    3737   [ "$1" = "1" ] || [ "$1" = "yes" ] || [ "$1" = "true" ]
     
    4444      # See if we need to do anything
    4545      if [ -z "${KEYMAP}"         ] && [ -z "${KEYMAP_CORRECTIONS}" ] &&
    46          [ -z "${FONT}"           ] && [ -z "${LEGACY_CHARSET}"     ] &&     
    47          ! is_true "${UNICODE}"; then 
     46         [ -z "${FONT}"           ] && [ -z "${LEGACY_CHARSET}"     ] &&
     47         ! is_true "${UNICODE}"; then
    4848         exit 0
    4949      fi
     
    8686         loadkeys ${KEYMAP} >/dev/null 2>&1 ||
    8787         failed=1
    88      
     88
    8989      [ -z "${KEYMAP_CORRECTIONS}" ] ||
    9090         loadkeys ${KEYMAP_CORRECTIONS} >/dev/null 2>&1 ||
     
    9898      # If any of the commands above failed, the trap at the
    9999      # top would set $failed to 1
    100       ( exit $failed ) 
     100      ( exit $failed )
    101101      evaluate_retval
    102102
    103103      exit $failed
    104       ;;             
     104      ;;
    105105
    106    *)                 
     106   *)
    107107      echo "Usage:  ${0} {start}"
    108       exit 1         
    109       ;;             
     108      exit 1
     109      ;;
    110110esac
    111111
  • bootscripts/lfs/init.d/modules

    re7fb2ca ra44ae577  
    3838      egrep -qv '^($|#)' /etc/sysconfig/modules || exit 0
    3939
    40       log_info_msg "Loading modules:" 
     40      log_info_msg "Loading modules:"
    4141
    4242      # Only try to load modules if the user has actually given us
     
    5555         # Print the module name if successful, otherwise take note.
    5656         if [ $? -eq 0 ]; then
    57             log_info_msg2 " ${module}" 
     57            log_info_msg2 " ${module}"
    5858         else
    5959            failedmod="${failedmod} ${module}"
     
    6464      log_success_msg2
    6565
    66       # Print a failure message with a list of any modules that 
     66      # Print a failure message with a list of any modules that
    6767      # may have failed to load.
    6868      if [ -n "${failedmod}" ]; then
    69          log_failure_msg "Failed to load modules:${failedmod}" 
     69         log_failure_msg "Failed to load modules:${failedmod}"
    7070         exit 1
    7171      fi
  • bootscripts/lfs/init.d/mountvirtfs

    re7fb2ca ra44ae577  
    4040      chmod 1777 /run/shm /run/lock
    4141
    42       log_info_msg "Mounting virtual file systems: ${INFO}/run" 
     42      log_info_msg "Mounting virtual file systems: ${INFO}/run"
    4343
    4444      if ! mountpoint /proc >/dev/null; then
     
    4848
    4949      if ! mountpoint /sys >/dev/null; then
    50          log_info_msg2 " ${INFO}/sys" 
     50         log_info_msg2 " ${INFO}/sys"
    5151         mount -o nosuid,noexec,nodev /sys || failed=1
    5252      fi
    5353
    5454      if ! mountpoint /dev >/dev/null; then
    55          log_info_msg2 " ${INFO}/dev" 
     55         log_info_msg2 " ${INFO}/dev"
    5656         mount -o mode=0755,nosuid /dev  || failed=1
    5757      fi
    5858
    5959      ln -sfn /run/shm /dev/shm
    60      
     60
    6161      (exit ${failed})
    6262      evaluate_retval
  • bootscripts/lfs/init.d/network

    re7fb2ca ra44ae577  
    4444   stop)
    4545      # Unmount any network mounted file systems
    46        umount --all --force --types nfs,cifs,nfs4 
     46       umount --all --force --types nfs,cifs,nfs4
    4747
    4848      # Reverse list
  • bootscripts/lfs/init.d/rc

    re7fb2ca ra44ae577  
    1919   log_failure_msg
    2020   # $i is set when called
    21    MSG="FAILURE:\n\nYou should not be reading this error message.\n\n" 
     21   MSG="FAILURE:\n\nYou should not be reading this error message.\n\n"
    2222   MSG="${MSG}It means that an unforeseen error took place in\n"
    2323   MSG="${MSG}${i},\n"
    2424   MSG="${MSG}which exited with a return value of ${error_value}.\n"
    25  
     25
    2626   MSG="${MSG}If you're able to track this error down to a bug in one of\n"
    2727   MSG="${MSG}the files provided by the ${DISTRO_MINI} book,\n"
     
    3737   # $i is set when called
    3838   if [ ! -f ${i} ]; then
    39       log_warning_msg "${i} is not a valid symlink." 
     39      log_warning_msg "${i} is not a valid symlink."
    4040      SCRIPT_STAT="1"
    4141   fi
     
    103103
    104104if [ ! -d /etc/rc.d/rc${runlevel}.d ]; then
    105    log_info_msg "/etc/rc.d/rc${runlevel}.d does not exist.\n" 
     105   log_info_msg "/etc/rc.d/rc${runlevel}.d does not exist.\n"
    106106   exit 1
    107107fi
     
    110110
    111111# Note: In ${LOGLEVEL:-7}, it is ':' 'dash' '7', not minus 7
    112 if [ "$runlevel" == "S" ]; then 
    113    [ -r /etc/sysconfig/console ] && source /etc/sysconfig/console 
    114    dmesg -n "${LOGLEVEL:-7}" 
     112if [ "$runlevel" == "S" ]; then
     113   [ -r /etc/sysconfig/console ] && source /etc/sysconfig/console
     114   dmesg -n "${LOGLEVEL:-7}"
    115115fi
    116116
     
    226226if [ "${previous}" == "N" -a  "${runlevel}" != "S" ]; then
    227227   cat $BOOTLOG >> /var/log/boot.log
    228      
     228
    229229   # Mark the end of boot
    230230   echo "--------" >> /var/log/boot.log
    231    
     231
    232232   # Remove the temporary file
    233233   rm -f $BOOTLOG 2> /dev/null
  • bootscripts/lfs/init.d/setclock

    re7fb2ca ra44ae577  
    1414
    1515### BEGIN INIT INFO
    16 # Provides:           
     16# Provides:
    1717# Required-Start:
    1818# Should-Start:        modules
  • bootscripts/lfs/init.d/swap

    re7fb2ca ra44ae577  
    4949
    5050   status)
    51       log_success_msg "Retrieving swap status." 
     51      log_success_msg "Retrieving swap status."
    5252      swapon -s
    5353      ;;
  • bootscripts/lfs/init.d/udev

    re7fb2ca ra44ae577  
    6161      # If any LVM based partitions are on the system, ensure they
    6262      # are activated so they can be used.
    63       if [ -x /sbin/vgchange ]; then /sbin/vgchange -a y >/dev/null; fi 
     63      if [ -x /sbin/vgchange ]; then /sbin/vgchange -a y >/dev/null; fi
    6464
    65       log_success_msg2 
     65      log_success_msg2
    6666      ;;
    6767
  • bootscripts/lfs/init.d/udev_retry

    re7fb2ca ra44ae577  
    88#               DJ Lucas - dj@linuxfromscratch.org
    99# Update      : Bruce Dubbs - bdubbs@linuxfromscratch.org
    10 #               Bryan Kadzban - 
     10#               Bryan Kadzban -
    1111#
    1212# Version     : LFS 7.0
     
    4040      # From Debian: "copy the rules generated before / was mounted
    4141      # read-write":
    42    
     42
    4343      for file in ${rundir}/tmp-rules--*; do
    4444         dest=${file##*tmp-rules--}
     
    4848      done
    4949
    50       # Re-trigger the uevents that may have failed, 
     50      # Re-trigger the uevents that may have failed,
    5151      # in hope they will succeed now
    5252      /bin/sed -e 's/#.*$//' /etc/sysconfig/udev_retry | /bin/grep -v '^$' | \
  • bootscripts/lfs/lib/services/init-functions

    re7fb2ca ra44ae577  
    11#!/bin/sh
    22########################################################################
    3 # 
     3#
    44# Begin /lib/lsb/init-funtions
    55#
     
    155155        fi
    156156
    157         # Return a value ONLY 
     157        # Return a value ONLY
    158158        # It is the init script's (or distribution's functions) responsibilty
    159159        # to log messages!
     
    161161
    162162            0)
    163                 # Program is already running correctly, this is a 
     163                # Program is already running correctly, this is a
    164164                # successful start.
    165165                return 0
     
    231231                shift 2
    232232                ;;
    233  
     233
    234234             *)
    235235                 program="${1}"
     
    244244                 if [ -n "${3}" ]; then
    245245                     return 2
    246                  else 
     246                 else
    247247                     break
    248                  fi                 
     248                 fi
    249249                 ;;
    250250        esac
     
    322322    if [ "${?}" -eq "0" ]; then # Signal is used to terminate the program
    323323
    324         # Account for empty pidlist (pid file still exists and no 
     324        # Account for empty pidlist (pid file still exists and no
    325325        # signal was given)
    326326        if [ "${pidlist}" != "" ]; then
     
    337337                    kill "${signal}" "${pid}" 2> /dev/null
    338338
    339                     # Wait up to ${delay}/10 seconds to for "${pid}" to 
     339                    # Wait up to ${delay}/10 seconds to for "${pid}" to
    340340                    # terminate in 10ths of a second
    341341
     
    434434        prefix=`echo "${program}" | sed 's/[^/]*$//'`
    435435
    436         if [ -z "${prefix}" ]; then 
     436        if [ -z "${prefix}" ]; then
    437437           progname="${program}"
    438438        else
     
    584584    timespec
    585585    /bin/echo -e "${STAMP} ${logmessage} OK" >> ${BOOTLOG}
    586    
     586
    587587    return 0
    588588}
     
    594594
    595595    echo " OK" >> ${BOOTLOG}
    596    
     596
    597597    return 0
    598598}
     
    619619    logmessage=`echo "${@}" | sed 's/\\\033[^a-zA-Z]*.//g'`
    620620    /bin/echo -e "${STAMP} ${logmessage} FAIL" >> ${BOOTLOG}
    621    
     621
    622622    return 0
    623623}
     
    629629
    630630    echo "FAIL" >> ${BOOTLOG}
    631    
     631
    632632    return 0
    633633}
     
    651651    timespec
    652652    /bin/echo -e "${STAMP} ${logmessage} WARN" >> ${BOOTLOG}
    653    
     653
    654654    return 0
    655655}
     
    663663    logmessage=`echo "${@}" | sed 's/\\\033[^a-zA-Z]*.//g'`
    664664    /bin/echo "SKIP" >> ${BOOTLOG}
    665    
     665
    666666    return 0
    667667}
     
    684684    timespec
    685685    /bin/echo -n -e "${STAMP} ${logmessage}" >> ${BOOTLOG}
    686    
     686
    687687    return 0
    688688}
     
    695695    logmessage=`echo "${@}" | sed 's/\\\033[^a-zA-Z]*.//g'`
    696696    /bin/echo -n -e "${logmessage}" >> ${BOOTLOG}
    697    
     697
    698698    return 0
    699699}
  • bootscripts/lfs/lib/services/ipv4-static-route

    re7fb2ca ra44ae577  
    5757
    5858   if [ -z "${PREFIX}" ]; then
    59       log_failure_msg "PREFIX variable missing from ${IFCONFIG}, cannot continue." 
     59      log_failure_msg "PREFIX variable missing from ${IFCONFIG}, cannot continue."
    6060      exit 1
    6161   fi
    62    
     62
    6363   args="${args} ${IP}/${PREFIX}"
    6464   desc="${desc}${IP}/${PREFIX}"
     
    8383      evaluate_retval
    8484   ;;
    85    
     85
    8686   down)
    8787      log_info_msg "Removing '${desc}' route from the ${1} interface..."
     
    8989      evaluate_retval
    9090   ;;
    91    
     91
    9292   *)
    9393      echo "Usage: ${0} [interface] {up|down}"
  • bootscripts/lfs/sbin/ifdown

    re7fb2ca ra44ae577  
    1 #!/bin/bash 
     1#!/bin/bash
    22########################################################################
    33# Begin /sbin/ifdown
     
    3131                       echo "${USAGE}" >& 2
    3232                       exit 2 ;;
    33                    
     33
    3434      *)               break ;;
    3535   esac
     
    5454[ "${file}" = "${file%""~""}" ] || exit 0
    5555
    56 . /lib/lsb/init-functions 
     56. /lib/lsb/init-functions
    5757
    5858if [ ! -r "${file}" ]; then
  • bootscripts/lfs/sbin/ifup

    re7fb2ca ra44ae577  
    4949
    5050      --version | -V)  echo "${VERSTR}"; exit 0 ;;
    51    
     51
    5252      -*)              echo "ifup: ${1}: invalid option" >&2
    5353                       echo "${USAGE}" >& 2
    5454                       exit 2 ;;
    55                        
     55
    5656      *)               break ;;
    5757   esac
     
    103103for S in ${SERVICE}; do
    104104  if [ ! -x "/lib/services/${S}" ]; then
    105     MSG="\nUnable to process ${file}.  Either " 
     105    MSG="\nUnable to process ${file}.  Either "
    106106    MSG="${MSG}the SERVICE '${S} was not present "
    107107    MSG="${MSG}or cannot be executed."
     
    114114
    115115# Create/configure the interface
    116 for S in ${SERVICE}; do 
     116for S in ${SERVICE}; do
    117117  IFCONFIG=${file} /lib/services/${S} ${IFACE} up
    118118done
     
    129129if test -n "${MTU}"; then
    130130   if [[ ${MTU} =~ ^[0-9]+$ ]] && [[ $MTU -ge 68 ]] ; then
    131       for I in $IFACE $INTERFACE_COMPONENTS; do 
    132          ip link set dev $I mtu $MTU; 
     131      for I in $IFACE $INTERFACE_COMPONENTS; do
     132         ip link set dev $I mtu $MTU;
    133133      done
    134134   else
    135135      log_info_msg2 "Invalid MTU $MTU"
    136136   fi
    137 fi 
     137fi
    138138
    139139# Set the route default gateway if requested
  • bootscripts/lfs/sbin/ifup.8

    re7fb2ca ra44ae577  
    1515
    1616DESCRIPTION
    17        The  ifup  and  ifdown  commands  may be used to configure 
    18        (or, respectively, deconfigure) a network interface based 
    19        on interface  definitions in the file 
     17       The  ifup  and  ifdown  commands  may be used to configure
     18       (or, respectively, deconfigure) a network interface based
     19       on interface  definitions in the file
    2020       /etc/sysconfig/ifconfig.IFACE.
    2121
     
    3131EXAMPLES
    3232       ifup eth0
    33               Bring up the interface defined in the file 
     33              Bring up the interface defined in the file
    3434              /etc/sysconfig/ifconfig.eth0
    3535
     
    5050                LABEL=eth0:2
    5151                SERVICE=dhcpcd
    52          
     52
    5353                DHCP_START="--waitip"
    5454                DHCP_STOP="-k"
    55          
     55
    5656                # Set PRINTIP="yes" to have the script print the DHCP IP address
    5757                PRINTIP="yes"
    58          
     58
    5959                # Set PRINTALL="yes" to print the DHCP assigned values for
    60                 # IP, SM, DG, and 1st NS. 
     60                # IP, SM, DG, and 1st NS.
    6161                PRINTALL="no"
    6262
    6363       ifup br0
    64               Bring up the interface defined in the file 
     64              Bring up the interface defined in the file
    6565              /etc/sysconfig/ifconfig.br0
    66                    
     66
    6767                ONBOOT=yes
    6868                IFACE=br0
     
    7878NOTES
    7979       The program does not configure network interfaces direct-
    80        ly.  It runs scripts defined by the SERVICE variable in 
     80       ly.  It runs scripts defined by the SERVICE variable in
    8181       the network configuration file.
    8282
     
    8484       ment variables set:
    8585
    86        IFACE   - The interface to configure, e.g. eth0.  It must 
     86       IFACE   - The interface to configure, e.g. eth0.  It must
    8787                 be available in /sys/class/net.
    8888
    8989       SERVICE - The service script to run to bring up the inter-
    90                  face.  Standard services are ipv4-static and 
     90                 face.  Standard services are ipv4-static and
    9191                 ipv4-static-route.  Other services such as dhcp
    9292                 or bridge may be installed.  This value may
     
    9494                 compound device such as a bridge.
    9595
    96        ONBOOT  - If set to 'yes', the specified interface is 
     96       ONBOOT  - If set to 'yes', the specified interface is
    9797                 configured by the netowrk boot script.
    9898
    9999       GATEWAY - The default IP address to use for routing if
    100                  the destination IP address is not in a static 
    101                  route or on a local network, e.g., 192.168.1.1. 
    102                  For secondary IP addresses on an interface, this 
     100                 the destination IP address is not in a static
     101                 route or on a local network, e.g., 192.168.1.1.
     102                 For secondary IP addresses on an interface, this
    103103                 parameter should not be specified.  If the service
    104104                 is ipv4-static-route, this parameter must NOT
     
    106106
    107107       STATIC_GATEWAY - The default IP address to use for routing
    108                  when setting a static routing address. 
     108                 when setting a static routing address.
    109109
    110110       INTERFACE_COMPONENTS - A list of component interfaces
    111                  only needed for a compound device such as a bridge. 
    112                  This list is normally a single value, e.g. eth0, 
     111                 only needed for a compound device such as a bridge.
     112                 This list is normally a single value, e.g. eth0,
    113113                 for use with a virtual host such as kvm.
    114114
     
    117117       ipv4-static
    118118
    119          IP        - The IP address of the interface, 
     119         IP        - The IP address of the interface,
    120120                     e.g. 192.168.1.2.
    121121
     
    123123                     number of the interface.  The default, if not
    124124                     specified, is 24.
    125        
    126          LABEL     - The label to be assigned to the interface. 
     125
     126         LABEL     - The label to be assigned to the interface.
    127127                     This is normally specified for assigning
    128128                     additional IP addresses to a network
    129129                     device.  Example: eth0:2 (optional)
    130        
    131          BROADCAST - The brodcast address for this interface, 
    132                      e.g 192.168.1.255.  If not specified, 
     130
     131         BROADCAST - The brodcast address for this interface,
     132                     e.g 192.168.1.255.  If not specified,
    133133                     the broadcast address will be calculated
    134134                     from the IP and PREFIX.
     
    136136       ipv4-static-route
    137137
    138          TYPE    -  The type of route, typically 'default', 
     138         TYPE    -  The type of route, typically 'default',
    139139                    'network', 'or host'.
    140140
     
    146146         STATIC_GATEWAY - The IP address for a network route.
    147147
    148          SOURCE  -  The source IP address to prefer when sending 
     148         SOURCE  -  The source IP address to prefer when sending
    149149                    to the destinations covered by the specified
    150150                    route. (optional)
     
    155155                      at startup.
    156156
    157          DHCP_STOP  - Optional paremeters to pass to the dhcp client 
     157         DHCP_STOP  - Optional paremeters to pass to the dhcp client
    158158                      at shutdown.
    159159
     
    165165
    166166         IP_FORWARD - An optional flag to enable the system to forward
    167                       inbound IP packets received by one interface to 
    168                       another outbound interface. 
     167                      inbound IP packets received by one interface to
     168                      another outbound interface.
    169169
    170170         STP        - Set bridge spanning tree protocol.  Default is no.
     
    172172FILES
    173173       /etc/sysconfig/ifconfig.*
    174               definitions of network interfaces 
     174              definitions of network interfaces
    175175
    176176AUTHORS
    177177       The ifup/ifdown suite was written by Nathan Coulson
    178        <nathan@linuxfromscratch.org> and Kevin P. Fleming 
     178       <nathan@linuxfromscratch.org> and Kevin P. Fleming
    179179       <kpfleming@linuxfromscratch.org>
    180180       and updated by Bruce Dubbs <bdubbs@linuxfromscratch>.
  • bootscripts/lfs/sysconfig/createfiles

    re7fb2ca ra44ae577  
    1212#               <filename> <type> <permissions> <user> <group>
    1313#               if type is equal to "dev"
    14 #               <filename> <type> <permissions> <user> <group> <devtype> 
     14#               <filename> <type> <permissions> <user> <group> <devtype>
    1515#             <major> <minor>
    1616#
     
    2323#                       block creates a block device
    2424#                       char creates a character deivce
    25 #                       pipe creates a pipe, this will ignore the <major> and 
     25#                       pipe creates a pipe, this will ignore the <major> and
    2626#           <minor> fields
    27 #               <major> and <minor> are the major and minor numbers used for 
     27#               <major> and <minor> are the major and minor numbers used for
    2828#     the device.
    2929########################################################################
Note: See TracChangeset for help on using the changeset viewer.